%define		_state		stable
%define		orgname		kdegraphics-strigi-analyzer
%define		qtver		4.8.0

Summary:	K Desktop Environment - Strigi analyzers for various graphic types
Name:		kde4-kdegraphics-strigi-analyzer
Version:	4.9.0
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	5b0d957cf5b6fe2f5c9e2a039925c17a
URL:		http://www.kde.org/
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	libtiff-devel
BuildRequires:	strigi-devel
Obsoletes:	kde4-kdegraphics-kfile < 4.6.99
Obsoletes:	kdegraphics-strigi-analyzer <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Strigi analyzers for various graphic types.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/strigi/strigiea_dvi.so
%attr(755,root,root) %{_libdir}/strigi/strigiea_tiff.so
%changelog
* Sun Aug 26 2012 Paweł Sikora <pawel.sikora@agmk.net> e08faaf
updated to 4.9.0.

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4a89c8e
- up to 4.8.0; now as kde4-kdegraphics-strigi-analyzer

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0577546
- release 2

* Sat Oct 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b05a969
- up to 4.7.3

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 29e436f
- initial

